=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Warning: PREFIX instead of DESTDIR in upstream Makefile
override_dh_auto_install:
	dh_auto_install -- PREFIX=debian/sslh/usr install

# do not start daemon by default: force user to configure
override_dh_installinit:
	dh_installinit --no-start

%:
	dh $@
