=== debian/watch ===
version=3
http://www.rutschle.net/tech/sslh-(.*)\.tar\.gz
