=== debian/changelog ===
sslh (1.9-1) unstable; urgency=low

  * New upstream release (Closes: #632834, #611611)
  * Drop debian/patches/01_option_user_manpage_error.diff, fixed upstream
  * Debconf translation: Add ja.po, thanks Hideki Yamane (Closes: #628461)
  * debian/control:
    + Newline after 80 chars in Depends
    + Add Vcs-{Browser,Git}, point to collab-maint
  * Bump to Standards-Version 3.9.2 (no changes needed)
  * debian/install: install new sslh-select binary
  * debian/links: provide manpage for new sslh-select binary (same as sslh)
  * debian/init:
    + Remove VERBOSE test to always print message
    + Remove DAEMON variable, used in /etc/default/sslh to choose binary
    + Move "is binary executable" test after sourcing /etc/default/sslh
  * debian/default:
    + DAEMON to choose sslh binary (fork or new single thread)
    + Use long options and change ss{l,h} options (upstream change)
  * debian/NEWS: document that a new binary sslh-select is provided
  * debian/copyright: Update to dep5 format
  * debian/logcheck.ignore.server: Update rule
    (upstream changes of logformat and IPv6 support)

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 14 Aug 2011 15:34:03 +0200
