=== debian/changelog ===
sslh (1.10-3) unstable; urgency=low

  * Refresh and rename debian/patch/ftbfs_ip6-localhost.diff to
    debian/patch/ftbfs_localhost.diff as the problem concern IPv4 localhost too
  * debian/control: use debhelper 9
  * debian/compat: Bump to version 9

 -- Guillaume Delacour <gui@iroqwa.org>  Wed, 07 Mar 2012 02:16:19 +0100

sslh (1.10-2) unstable; urgency=low

  * debian/patch/ftbfs_ip6-localhost.diff: Fix FTBFS if ip6-localhost don't
    resolv to ::1 (Closes: #660269)
  * debian/copyright: Update Format to 1.0
  * debian/control: Bump to Standards-Version 3.9.3 (no changes needed)

 -- Guillaume Delacour <gui@iroqwa.org>  Fri, 02 Mar 2012 23:45:07 +0100

sslh (1.10-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Use hardening build options (DEB_BUILD_HARDENING)
  * debian/compat: Bump to version 8
  * debian/control:
    + Build-Depends on:
      - debhelper >= 8.0.0
      - hardening-wrapper
      - libio-socket-inet6-perl (upstream test suite use it)
    + Update Description with last info in upstream homepage
  * debian/copyright: Change URI to a versioned one
  * debian/init: Create /var/run/sslh because sslh now create pid as sslh user
  * debian/default: Set --pidfile to /var/run/sslh/sslh.pid
  * debian/patches/pidfile_long_option.diff: Fix typo in manpage about pid file
    (long option is --pidfile not --pid-file)

 -- Guillaume Delacour <gui@iroqwa.org>  Wed, 14 Dec 2011 20:59:14 +0100
