=== debian/control ===
Source: sslh
Section: net
Priority: extra
Maintainer: Guillaume Delacour <gui@iroqwa.org>
Build-Depends: debhelper (>= 9.0.0), libwrap0-dev, binutils, po-debconf,
               hardening-wrapper, libio-socket-inet6-perl
Standards-Version: 3.9.3
Homepage: http://www.rutschle.net/tech/sslh.shtml
Vcs-Browser: http://git.debian.org/?p=collab-maint/sslh.git
Vcs-Git: git://git.debian.org/collab-maint/sslh.git

Package: sslh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf (>= 0.5),
         lsb-base (>= 3.0-6), update-inetd
Recommends: apache2 | httpd, openssh-server | ssh-server
Suggests: openbsd-inetd | inet-superserver
Conflicts: libnet-proxy-perl
Description: ssl/ssh multiplexer
 sslh lets one accept HTTPS, SSH, OpenVPN, tinc and XMPP connections on the
 same port. This makes it possible to connect to any of these servers on
 port 443 (e.g. from inside a corporate firewall, which almost never block
 port 443) while still serving HTTPS on that port.
