=== debian/changelog ===
sslh (1.13b-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Restore debian/patch/ftbfs_localhost.diff, as autobuilders are still not
    all fixed (Closes: #685928)

 -- David Prévot <taffit@debian.org>  Sun, 26 Aug 2012 11:35:48 -0400

sslh (1.13b-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Build-Depends on lcov, which contains lcov and genhtml
    that are used by upstream in the test suite code "t" (Closes: #684846)

 -- David Prévot <taffit@debian.org>  Thu, 23 Aug 2012 17:40:55 -0400

sslh (1.13b-3) unstable; urgency=low

  * debian/control: Build-Depends on psmisc, which contains killall and is
    used by upstream in the test suite code "t" (Closes: #678333)

 -- Guillaume Delacour <gui@iroqwa.org>  Thu, 21 Jun 2012 12:03:10 +0200

sslh (1.13b-2) unstable; urgency=low

  * debian/control, Build-Depends on virtual package libconfig-dev
    instead of transitional package libconfig8-dev (Closes: #678301)

 -- Guillaume Delacour <gui@iroqwa.org>  Wed, 20 Jun 2012 21:29:24 +0200

sslh (1.13b-1) unstable; urgency=low

  * New upstream release
  * debian/control: Add Build-Depend on libconfig8-dev
  * Drop debian/patches/pidfile_long_option.diff, fixed upstream
  * Drop debian/patch/ftbfs_localhost.diff, as autobuilders are fixed now
  * debian/patches/minor_typo_manpage.diff: Fix minor typo in manpage
  * debian/examples: sslh can now handle a protocol config file; provide
    upstream example.cfg as sample
  * debian/lintian-overrides: sslh doesn't use hardening fortified
    libc functions

 -- Guillaume Delacour <gui@iroqwa.org>  Fri, 25 May 2012 18:39:03 +0200
