=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: extra
 Maintainer: Guillaume Delacour <gui@iroqwa.org>
 Build-Depends: debhelper (>= 9.0.0), libwrap0-dev, binutils, po-debconf,
-               hardening-wrapper, libio-socket-inet6-perl
+               hardening-wrapper, libio-socket-inet6-perl, libconfig-dev,
+               psmisc, lcov
 Standards-Version: 3.9.3
 Homepage: http://www.rutschle.net/tech/sslh.shtml
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sslh.git
