=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+# hardening options at build time
+export DEB_BUILD_HARDENING=1
 
 # Warning: PREFIX instead of DESTDIR in upstream Makefile
 override_dh_auto_install:
