=== debian/watch ===
version=3
opts="dversionmangle=s/~/-/" \
http://www.rutschle.net/tech/sslh-(.*)\.tar\.gz
