=== debian/changelog ===
sslh (1.15-1) unstable; urgency=medium

  * New upstream release (Closes: #720680)
  * Drop debian/patches/minor_typo_manpage.diff (no more needed)
  * debian/control: Point Vcs-{Browser,Git} to anonscm.debian.org
  * debian/lintian-overrides: Removed since sslh use fortified functions
  * debian/watch: update pattern from sepwatch
  * debian/default: change default 0.0.0.0 ip to <change-me> to force the
    user to properly set it, thanks Marc Haber (Closes: #720674)
  * debian/control: Bump to Standards-Version 3.9.5 (no changes needed)
  * debian/README.Debian: change configuration examples as sslh can now handle
    XMPP, OpenSSH and OpenVPN servers (Closes: #730098)
  * debian/logcheck.ignore.server: Update pattern, thanks Richard van den Berg
    (Closes: #705430)
  * debian/patches/disable_valgrind_launch.diff: Don't use valgrind in tests
  * Provide systemd support:
    + debian/sslh.service, based on upstream scripts/systemd.sslh.service
    + debian/rules: use "--with systemd" flag in debhelper generic call
    + debian/control: Build-Depends on dh-systemd

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 02 Feb 2014 12:57:32 +0100
