=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Guillaume Delacour <gui@iroqwa.org>
 Build-Depends: debhelper (>= 9.0.0), libwrap0-dev, binutils, po-debconf,
                hardening-wrapper, libio-socket-inet6-perl, libconfig-dev,
-               psmisc, lcov
-Standards-Version: 3.9.3
+               psmisc, lcov, dh-systemd (>= 1.5)
+Standards-Version: 3.9.5
 Homepage: http://www.rutschle.net/tech/sslh.shtml
-Vcs-Browser: http://git.debian.org/?p=collab-maint/sslh.git
-Vcs-Git: git://git.debian.org/collab-maint/sslh.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sslh.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/sslh.git
 
 Package: sslh
 Architecture: any
