=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,4 @@
 	dh_installinit --no-start
 
 %:
-	dh $@
+	dh $@ --with systemd
