=== debian/changelog ===
sslh (1.16-2) unstable; urgency=medium

  * Compile sslh with libcap support only on linux archs, thanks James Cowgill
    (Closes: #760055)

 -- Guillaume Delacour <gui@iroqwa.org>  Mon, 01 Sep 2014 20:36:48 +0200

sslh (1.16-1) unstable; urgency=medium

  * New upstream release: fix some startup problem when interfaces are not
    ready at boot time (IP_FREEBIND support when available) and can use libcap
    for transparent mode
  * Enable libcap and libwrap support at build time
  * Enable dpkg-buildflags: Drop hardening-wrapper Build-Depends and use
    DEB_BUILD_HARDENING instead of DEB_BUILD_MAINT_OPTIONS
  * Remove old .gitignore as upstream has one too
  * debian/sslh.tmpfile: Create /run/sslh for systemd as root because sslh
    write its pid before dropping privileges (Closes: #740560)
  * debian/patches/disable_ip_freebind_test.diff: Remove "Can't bind address"
    upstream test because IP_FREEBIND is now enabled upstream
  * debian/docs: upstream README is now README.md
  * debian/rules:
    + use DESTDIR in addition of PREFIX as upstream change Makefile
  * Refresh debian/patches/disable_valgrind_launch.diff due to upstream
    changes
  * Stop service in case of purge (to be able to remove the user too)
  * Use DEB_BUILD_OPTIONS to speed the build
  * debian/patches/fixed_version.diff: Fix the version of binaries based on
    debian/changelog (instead of relying on git)
  * Update Description as sslh is not only a ssl/ssh multiplexer but a
    protocol multiplexer

 -- Guillaume Delacour <gui@iroqwa.org>  Thu, 07 Aug 2014 00:06:06 +0200
