=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Guillaume Delacour <gui@iroqwa.org>
 Build-Depends: debhelper (>= 9.0.0), libwrap0-dev, binutils, po-debconf,
-               hardening-wrapper, libio-socket-inet6-perl, libconfig-dev,
+               libio-socket-inet6-perl, libconfig-dev, libcap-dev [linux-any],
                psmisc, lcov, dh-systemd (>= 1.5)
 Standards-Version: 3.9.5
 Homepage: http://www.rutschle.net/tech/sslh.shtml
@@ -17,7 +17,7 @@
 Recommends: apache2 | httpd, openssh-server | ssh-server
 Suggests: openbsd-inetd | inet-superserver
 Conflicts: libnet-proxy-perl
-Description: ssl/ssh multiplexer
+Description: Applicative protocol multiplexer
  sslh lets one accept HTTPS, SSH, OpenVPN, tinc and XMPP connections on the
  same port. This makes it possible to connect to any of these servers on
  port 443 (e.g. from inside a corporate firewall, which almost never block
