=== debian/changelog ===
sslh (1.17-2) unstable; urgency=medium

  * debian/postrm: Test execution of update-inetd and deluser binaries as they
    are Depends and might be unavailable when removing/pruging
    (Policy 7.2, Closes: #787508)

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 19 Jul 2015 15:37:28 +0000

sslh (1.17-1) unstable; urgency=medium

  * New upstream release
    + Document logging in /var/log/auth.log (Closes: #735922)
    + Do not require --listen when --inetd is specified (LP: #1382158)
    + disable_ip_freebind_test.diff merged
    + Refresh fixed_version.diff (and use dpkg-parsechangelog)
  * debian/watch: Update unrelated versions mangle regex
  * debian/control: Bump to Standards-Version 3.9.6 (no changes needed)
  * debian/postrm: Don't test binaries presence as already depends on packages
    providing them (lintian command-with-path-in-maintainer-script)
  * Debconf translation: Add nl.po: thanks Frans Spiesschaert (Closes: #766176)
  * Remove parallel building as the build may fail sometimes

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 31 May 2015 01:22:18 +0200
