=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9.0.0), libwrap0-dev, binutils, po-debconf,
                libio-socket-inet6-perl, libconfig-dev, libcap-dev [linux-any],
                psmisc, lcov, dh-systemd (>= 1.5)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.rutschle.net/tech/sslh.shtml
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sslh.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/sslh.git
