=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,6 @@
 
 # hardening options at build time
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	MAKEFLAGS += -j$(NUMJOBS)
-endif
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
@@ -17,7 +12,7 @@
 endif
 
 override_dh_auto_build:
-	dh_auto_build --parallel -- USELIBWRAP=1 $(EXTRA_OPTIONS)
+	dh_auto_build -- USELIBWRAP=1 $(EXTRA_OPTIONS)
 
 override_dh_auto_install:
 	# auto install fork version, see debian/install for select version
