=== debian/changelog ===
sslh (1.18-1) unstable; urgency=medium

  * New upstream release, include transparent mode local patch from upstream
    (Closes: #823229)
  * Bump to Standards-Version 3.9.8 (no changes needed)
  * Change Vcs-{Browser,Git} to use https instead of http/git
  * Set Documentation key to sslh(8) for systemd unit file

 -- Guillaume Delacour <gui@iroqwa.org>  Tue, 17 May 2016 20:56:14 +0200
