=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Build-Depends: debhelper (>= 9.0.0), libwrap0-dev, binutils, po-debconf,
                libio-socket-inet6-perl, libconfig-dev, libcap-dev [linux-any],
                psmisc, lcov, dh-systemd (>= 1.5)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.rutschle.net/tech/sslh.shtml
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sslh.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/sslh.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sslh.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/sslh.git
 
 Package: sslh
 Architecture: any
