=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sslh-$1\.tar\.gz/ \
  https://github.com/yrutschle/sslh/tags .*/v?(\d\S+)\.tar\.gz
