=== debian/changelog ===
sslh (1.22c-1) unstable; urgency=medium

  * New upstream release
  * Move --pidfile out of /etc/default/sslh to /etc/init.d/sslh to avoid
    issues with hardening options in systemd.
  * Switch to pcre2 (Closes: #999953)
  * Fix test failures due to Debian-only patch to avoid Conf::Libconfig.

 -- Don Armstrong <don@debian.org>  Tue, 15 Aug 2023 16:38:35 -0700
