## sslh 2.1.1

=== debian/changelog ===
sslh (2.1.1-2) unstable; urgency=low

  * Avoid blocking when reading data (Closes: #1082555)

 -- Don Armstrong <don@debian.org>  Sat, 21 Sep 2024 22:50:30 -0700

sslh (2.1.1-1) unstable; urgency=low

  * New upstream release
    - Addresses FTBFS (Closes: #1069381)
  * Add missing autoconf template for HAVELANDLOCK

 -- Don Armstrong <don@debian.org>  Thu, 25 Apr 2024 20:16:44 -0700
