## sslh 2.1.4

=== hashtest/Makefile ===

CFLAGS=-DHASH_TESTING -O2 -Wall
OBJ=../hash.o ../gap.o htest.o

htest: $(OBJ)
	$(CC) -o htest $(OBJ)
