=== debian/changelog ===
sslh (2.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Enable systemd socket support

 -- Don Armstrong <don@debian.org>  Sun, 05 Jan 2025 10:59:07 -0800

sslh (2.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Don Armstrong <don@debian.org>  Wed, 02 Oct 2024 22:23:43 -0700
