=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Don Armstrong <don@debian.org>
 Build-Depends: debhelper-compat (= 12), libwrap0-dev, binutils, po-debconf,
                libio-socket-inet6-perl, libconfig-dev, libcap-dev [linux-any],
-               psmisc, lcov, libpcre2-dev,
+               psmisc, lcov, libpcre2-dev, libev-dev, libsystemd-dev, libbsd-dev,
+               libcapture-tiny-perl, libdatetime-perl, libtimedate-perl,
                init-system-helpers (>= 1.51)
 Standards-Version: 4.4.0
 Homepage: http://www.rutschle.net/tech/sslh/README.html
