=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-	EXTRA_OPTIONS := USELIBCAP=1
+	EXTRA_OPTIONS := USELIBCAP=1 USESYSTEMD=1
 else
 	EXTRA_OPTIONS :=
 endif
